
var WebvisumLicense = {
    init: function () {
        this.webvisum = Webvisum.getGlobalWebvisum();
        sizeToContent();
        var frame = document.getElementById("EULATextFrame");
        var eulaURL = "chrome://webvisum/content/EULA.xhtml";
        const loadFlags = Components.interfaces.nsIWebNavigation.LOAD_FLAGS_NONE;
        frame.webNavigation.loadURI(eulaURL, loadFlags, null, null, null);
    },
    accept: function () {   
        this.setAccepted(true);
        var prefs = this.webvisum.prefs;
    },
    cancel: function () {
        this.setAccepted(false);
        var prefs = this.webvisum.prefs;
    },
    setAccepted:function (aBoolean) {
        var prefs = this.webvisum.prefs;
        var EULAVersion = prefs.getIntPref("EULA.version");
        prefs.setBoolPref("EULA." + EULAVersion + ".accepted", aBoolean);        
    },
    uninit: function () {
        this._webProgress.removeProgressListener(this._progressListener);
        this._progressListener = this._webProgress = null;
    },
    onChangeRadio: function () {
        var radio = document.getElementById("acceptOrDecline");
        document.documentElement.getButton("accept").disabled = (radio.value == "false");
    }
};
