pref("extensions.webvisum.active", true); //changed since 0.7.5
pref("extensions.webvisum.EULA.version", 1);
pref("extensions.webvisum.EULA.1.accepted", false);

pref("extensions.webvisum.general.autotrigger", true); 
pref("extensions.webvisum.general.fix_dynamic_selects", true);
pref("extensions.webvisum.general.language", "");
pref("extensions.webvisum.general.modalnotifications", false);
pref("extensions.webvisum.general.verbose", true);

pref("extensions.webvisum.debug", false); 

pref("extensions.webvisum.server.host", "https://api.webvisum.com/api_rest"); 
pref("extensions.webvisum.server.port", ""); 
pref("extensions.webvisum.server.username", ""); 

//pref("extensions.webvisum.server.pwd", "");
pref("extensions.webvisum.server.autologin", true);

pref("extensions.webvisum.trigger.blacklist", "googlesyndication\.com d\d+\.zedo\.com ad\.yieldmanager\.com optimizedby\.rmxads\.com view\.atdmt\.com analytics\.live\.com analytics\.msn\.com");
pref("extensions.webvisum.trigger.whitelist", "^http");

pref("extensions.webvisum.keys.help", "ctrl F1");
pref("extensions.webvisum.keys.menu", "ctrl F2");
pref("extensions.webvisum.keys.activity", "ctrl shift F2");
pref("extensions.webvisum.keys.label", "ctrl alt 1");
pref("extensions.webvisum.keys.labelpage", "ctrl alt 3");
pref("extensions.webvisum.keys.ocr", "ctrl alt 5");
pref("extensions.webvisum.keys.captcha", "ctrl alt 6");
pref("extensions.webvisum.keys.lastlink", "ctrl alt 7");
pref("extensions.webvisum.keys.highlight", "ctrl shift !");
pref("extensions.webvisum.keys.underline", "ctrl shift @");
pref("extensions.webvisum.keys.hideimages", "ctrl shift #");
pref("extensions.webvisum.keys.visuals", "ctrl shift )");
pref("extensions.webvisum.keys.sounds", "ctrl alt 0");
pref("extensions.webvisum.keys.pageinfo", "ctrl alt i");
pref("extensions.webvisum.keys.pageupdate", "ctrl alt r");
pref("extensions.webvisum.keys.status", "ctrl alt F2");

pref("extensions.webvisum.sound.click", "chrome://webvisum/content/sounds/click.wav");
pref("extensions.webvisum.sound.error", "chrome://webvisum/content/sounds/honk.wav");
pref("extensions.webvisum.sound_on", true);
pref("extensions.webvisum.sound_on.click", true);
pref("extensions.webvisum.sound_on.error", true);

pref("extensions.webvisum.visuals", true);
pref("extensions.webvisum.visuals.underline", true);
pref("extensions.webvisum.visuals.highlight", true);
pref("extensions.webvisum.visuals.hide_images", false);
pref("extensions.webvisum.visuals.hide_flash", false);
pref("extensions.webvisum.visuals.contrast_1", false);
pref("extensions.webvisum.visuals.focus", true);
pref("extensions.webvisum.visuals.nosound", false);

//KJD: flag to detect if we have enable the toolbarbutton when the addon is first run on Fx 4.0 or above
pref("extensions.webvisum.toolbarbutton_installed", false);


pref("extensions.webvisum.captcha.rules", "<?xml version=\"1.0\" encoding=\"UTF-8\"?><result method=\"captcha.getrules\" status=\"ok\" message=\"0\"><last_update>0</last_update><min_weight>0</min_weight><rule regexp=\"captcha\" points=\"\"/><rule regexp=\"(\.jpg)|(\.gif)|(\.png)|(\.jpeg)\" points=\"\"/><rule regexp=\"\?\" points=\"\"/><rule regexp=\"[a-f0-9]{32}\" points=\"\"/><rule regexp=\"[a-z0-9_\-]{40}\" points=\"\"/><rule regexp=\"token\" points=\"\"/></result>");
